﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;

namespace ActivationDemo
{
    public partial class Form1 : Form
    {
        DataSet dataSet;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            dataSet = new DataSet();
            ultraGrid1.DataSource = CreateDataSet(dataSet);
            //ultraGrid1.ActiveRow = ultraGrid1.Rows[0];
            
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.GroupByBox.Hidden = true;
            ultraGrid1.Font = new Font("Microsoft Sans Serif", 10.25F);
            e.Layout.Override.RowSelectors = DefaultableBoolean.True;
            e.Layout.Override.ActiveRowAppearance.BackColor = Color.Brown;
            e.Layout.Override.HeaderAppearance.BackColor = Color.LightBlue;
            e.Layout.Override.HeaderStyle = HeaderStyle.Standard;
            e.Layout.Override.HeaderAppearance.FontData.Bold = DefaultableBoolean.True;
            e.Layout.Bands[0].Override.HeaderAppearance.TextHAlign = HAlign.Center;
            e.Layout.Override.RowSelectorAppearance.BackColor = Color.LightBlue;
            e.Layout.Override.BorderStyleCell = UIElementBorderStyle.InsetSoft;

            e.Layout.Bands[0].Columns["CustomerID"].CellActivation = Activation.NoEdit;
            e.Layout.Bands[0].Columns["CompanyName"].CellActivation = Activation.NoEdit;
            e.Layout.Bands[0].Columns["ContactName"].CellActivation = Activation.AllowEdit;
            e.Layout.Bands[0].Columns["Address"].CellActivation = Activation.NoEdit;
            e.Layout.Bands[0].Columns["City"].CellActivation = Activation.NoEdit;
            e.Layout.Bands[0].Columns["Country"].CellActivation = Activation.NoEdit;
        }

        private DataSet CreateDataSet(DataSet dataSet)
        {
            DataTable dataTable = new DataTable("Customers");
            dataTable.Columns.Add("CustomerID", typeof(string));
            DataColumn[] Keys = new DataColumn[1];
            Keys[0] = dataTable.Columns[0];
            dataTable.PrimaryKey = Keys;
            dataTable.Columns.Add("CompanyName", typeof(string));
            dataTable.Columns.Add("ContactName", typeof(string));
            dataTable.Columns.Add("Address", typeof(string));
            dataTable.Columns.Add("City", typeof(string));
            dataTable.Columns.Add("Country", typeof(string));
            DataRow row = dataTable.NewRow();
            row["CustomerID"] = "ALFKI";
            row["CompanyName"] = "Alfred Futterkiste";
            row["ContactName"] = "Maria Anders";
            row["Address"] = "Obere Str. 57";
            row["City"] = "Berlin";
            row["Country"] = "Germany";
            dataTable.Rows.Add(row);

            row = dataTable.NewRow();
            row["CustomerID"] = "ANATR";
            row["CompanyName"] = "Ana Trujillo Emparedados y helados";
            row["ContactName"] = "Ana Trujillo";
            row["Address"] = "Avda. de la Constitución 2222";
            row["City"] = "México D.F.";
            row["Country"] = "Mexico";
            dataTable.Rows.Add(row);

            row = dataTable.NewRow();
            row["CustomerID"] = "ANTON";
            row["CompanyName"] = "Antonio Moreno Taquería";
            row["ContactName"] = "Antonio Moreno";
            row["Address"] = "Mataderos  2312";
            row["City"] = "México D.F.";
            row["Country"] = "Mexico";
            dataTable.Rows.Add(row);

            row = dataTable.NewRow();
            row["CustomerID"] = "AROUT";
            row["CompanyName"] = "Around the Horn";
            row["ContactName"] = "Thomas Hardy";
            row["Address"] = "120 Hanover Sq.";
            row["City"] = "London";
            row["Country"] = "UK";
            dataTable.Rows.Add(row);

            row = dataTable.NewRow();
            row["CustomerID"] = "BERGS";
            row["CompanyName"] = "Berglun snabbköp";
            row["ContactName"] = "Christina Berglund";
            row["Address"] = "Berguvsvägen  8";
            row["City"] = "Luleå";
            row["Country"] = "Sweden";
            dataTable.Rows.Add(row);

            row = dataTable.NewRow();
            row["CustomerID"] = "BLAUS";
            row["CompanyName"] = "Blauer See Delikatessen";
            row["ContactName"] = "Hanna Moos";
            row["Address"] = "Forsterstr. 57";
            row["City"] = "Mannheim";
            row["Country"] = "Germany";
            dataTable.Rows.Add(row);

            row = dataTable.NewRow();
            row["CustomerID"] = "BLONP";
            row["CompanyName"] = "Blondel père et fils";
            row["ContactName"] = "Frédérique Citeaux";
            row["Address"] = "24, place Kléber";
            row["City"] = "Strasbourg";
            row["Country"] = "France";
            dataTable.Rows.Add(row);

            row = dataTable.NewRow();
            row["CustomerID"] = "BOLID";
            row["CompanyName"] = "Bólido Comidas preparadas";
            row["ContactName"] = "Martín Sommer";
            row["Address"] = "C/ Araquil, 67";
            row["City"] = "Madrid";
            row["Country"] = "Spain";
            dataTable.Rows.Add(row);

            row = dataTable.NewRow();
            row["CustomerID"] = "BONAP";
            row["CompanyName"] = "Bon app'";
            row["ContactName"] = "Laurence Lebihan";
            row["Address"] = "12, rue des Bouchers";
            row["City"] = "Marseille";
            row["Country"] = "France";
            dataTable.Rows.Add(row);

            row = dataTable.NewRow();
            row["CustomerID"] = "BOTTM";
            row["CompanyName"] = "Bottom-Dollar Markets";
            row["ContactName"] = "Elizabeth Lincoln";
            row["Address"] = "23 Tsawassen Blvd.";
            row["City"] = "Tsawassen";
            row["Country"] = "Canada";
            dataTable.Rows.Add(row);

            row = dataTable.NewRow();
            row["CustomerID"] = "BSBEV";
            row["CompanyName"] = "B's Beverages";
            row["ContactName"] = "Victoria Ashworth";
            row["Address"] = "Fauntleroy Circus";
            row["City"] = "London";
            row["Country"] = "UK";
            dataTable.Rows.Add(row);

            row = dataTable.NewRow();
            row["CustomerID"] = "CACTU";
            row["CompanyName"] = "Cactus Comidas para llevar";
            row["ContactName"] = "Patricio Simpson";
            row["Address"] = "Cerrito 333";
            row["City"] = "Buenos Aires";
            row["Country"] = "Argentina";
            dataTable.Rows.Add(row);

            row = dataTable.NewRow();
            row["CustomerID"] = "CENTC";
            row["CompanyName"] = "Centro Comercial de Moctezuma";
            row["ContactName"] = "Francisco Chang";
            row["Address"] = "Sierras de Granada 9993";
            row["City"] = "México D.F.";
            row["Country"] = "Mexico";
            dataTable.Rows.Add(row);

            row = dataTable.NewRow();
            row["CustomerID"] = "TAMNA";
            row["CompanyName"] = "United India Insurance";
            row["ContactName"] = "Singaram Arumugam";
            row["Address"] = "Nungambakkam High Rd";
            row["City"] = "Chennai";
            row["Country"] = "India";
            dataTable.Rows.Add(row);

            dataSet.Tables.Add(dataTable);
            return dataSet;
        }

        private void ultraGrid1_AfterRowActivate(object sender, EventArgs e)
        {
            ultraGrid1.ActiveCell = ultraGrid1.ActiveRow.Cells["ContactName"];
            ultraGrid1.PerformAction(UltraGridAction.EnterEditMode);
        }

        private void ultraGrid1_AfterSelectChange(object sender, AfterSelectChangeEventArgs e)
        {
            if (typeof (UltraGridRow) == e.Type)
            {
                ultraGrid1.PerformAction(UltraGridAction.EnterEditMode);
            }
        }
    }
}
